random-fu-0.3.0.1: Random number generation

Safe Haskell | None
Language | Haskell2010

Data.Random.Distribution.Pareto

# Documentation

pareto :: Distribution Pareto a => a -> a -> RVar a Source #

paretoT :: forall a (m :: Type -> Type). Distribution Pareto a => a -> a -> RVarT m a Source #

data Pareto a Source #

Constructors

Pareto !a !a |

#### Instances

Instances details

(Real a, Distribution Pareto a) => CDF Pareto a Source # |
Instance details Defined in Data.Random.Distribution.Pareto Methods cdf :: Pareto a -> a -> Double Source #
(Floating a, Distribution StdUniform a) => Distribution Pareto a Source # |
Instance details Defined in Data.Random.Distribution.Pareto Methods rvar :: Pareto a -> RVar a Source # rvarT :: forall (n :: Type -> Type). Pareto a -> RVarT n a Source #